Skip to content
GET/{organizationId}/{mandateId}/crm/applications/submissions/{applicationSubmissionId}/review

Get submission review

Returns an application submission for review

Required permissions:

  • organization.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
applicationSubmissionIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/crm/applications/submissions/{applicationSubmissionId}/review
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/applications/submissions/{applicationSubmissionId}/review' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Additional properties are not allowed.

Additional properties are not allowed.

Response

200
{
  "submission": {
    "_id": "000000000000000000000001",
    "mandate": "000000000000000000000001",
    "applicationForm": "000000000000000000000001",
    "applicationFormName": "string",
    "status": "unread",
    "emailConfirmed": true,
    "language": "en",
    "submission": {
      "schema": [
        {
          "id": "string",
          "label": "string",
          "fields": [
            {
              "id": "string",
              "type": "placeholder"
            }
          ]
        }
      ],
      "data": {}
    },
    "dispatchStatus": {
      "openedAt": "2026-06-15T22:30:00Z",
      "sentAt": "2026-06-15T22:30:00Z",
      "dispatchedBy": {
        "name": "string",
        "type": "user",
        "userId": "string",
        "image": {
          "resource": "string"
        }
      },
      "sendStatus": "none",
      "sendError": "NO_CREDITS_ENOUGH",
      "sendPrice": 1
    },
    "reviewStatus": "none",
    "reviewer": {
      "name": "string",
      "type": "user",
      "userId": "string",
      "image": {
        "resource": "string"
      }
    },
    "reviewRequestNote": "string",
    "reviewRequestedAt": "string",
    "reviewRequestedBy": {
      "name": "string",
      "type": "user",
      "userId": "string",
      "image": {
        "resource": "string"
      }
    },
    "reviewNote": "string",
    "reviewedAt": "string",
    "reviewedBy": {
      "name": "string",
      "type": "user",
      "userId": "string",
      "image": {
        "resource": "string"
      }
    }
  },
  "applicationForm": {
    "_id": "000000000000000000000001",
    "name": "string",
    "form": {
      "schema": {
        "groups": [
          {
            "id": "string",
            "label": "string",
            "fields": [
              {
                "id": "string",
                "type": "placeholder",
                "name": "string"
              }
            ]
          }
        ]
      },
      "pageMode": "segments",
      "introText": "string"
    }
  }
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}